@use '../utils/variables' as var;
@use '../utils/mixins';

.film {
    @include mixins.wrapper;
    padding-top: 10px;
    padding-left: 10px;
    padding-right: 10px;
}

.film__title {
    color: var.$textcolor;
    font-weight: var.$font-extra-bold;
    margin-bottom: 0px;

    &--small {
        font-size: 24px;
        margin-top: 10px
    }
}

.film__description {
    margin-top: 10px;
    color: var.$textcolor;
    font-size: 20px;
    text-align: justify;
}

.film__img {
    margin: 0 auto;
    display: block;
    max-width: 900px;
    width: 100%;
}

.film__list {
    list-style: none;
    display: flex;
    flex-wrap: wrap;
}

.film__item {
    margin-left: 20px;
}

.film__link {
    text-decoration: underline;
    font-size: 20px;
    color: var.$textcolor;
}

.film__button {
    color: var.$textcolor !important;
    background-color: var.$navcolor !important;
    font-size: 18px !important;
    min-width: 160px !important;
    margin-right: 10px;
    margin-top: 10px !important;
}

.film__button_primary {
    background-color: var.$buttoncolor !important;
}

.film__icon {
    background-color: var.$navcolor !important;
    min-width: 60px !important;
}

.film__gradeslist {
    border: 2px solid;
    border-color: var.$textcolor !important;
    border-radius: 5px;
    padding: 10px 10px 0px 10px;
}